# This file created by conda-build 3.28.1
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Fri Dec  8 09:18:14 2023
# ------------------------------------------------

package:
  name: tbb
  version: 2021.11.0
source:
  fn: v2021.11.0.tar.gz
  sha256: 782ce0cab62df9ea125cdea253a50534862b563f1d85d4cda7ad4e77550ac363
  url: https://github.com/oneapi-src/oneTBB/archive/v2021.11.0.tar.gz
build:
  number: '0'
  script:
    - cmake $CMAKE_ARGS -DTBB_TEST=OFF -S . -B build
    - cmake --build build --parallel
    - cmake -DCOMPONENT=runtime -P build/cmake_install.cmake
  string: h00ab1b0_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.40 hf600244_0
    - binutils_linux-64 2.40 hbdbef99_2
    - bzip2 1.0.8 hd590300_5
    - c-ares 1.23.0 hd590300_0
    - ca-certificates 2023.11.17 hbcca054_0
    - cmake 3.28.0 hcfe8598_0
    - gcc_impl_linux-64 12.3.0 he2b93b0_3
    - gcc_linux-64 12.3.0 h76fc315_2
    - gxx_impl_linux-64 12.3.0 he2b93b0_3
    - gxx_linux-64 12.3.0 h8a814eb_2
    - kernel-headers_linux-64 2.6.32 he073ed8_16
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.2 h659d440_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libcurl 8.5.0 hca28451_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libexpat 2.5.0 hcb278e6_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-devel_linux-64 12.3.0 h8bca6fd_103
    - libgcc-ng 13.2.0 h807b86a_3
    - libgomp 13.2.0 h807b86a_3
    - libnghttp2 1.58.0 h47da74e_0
    - libnsl 2.0.1 hd590300_0
    - libsanitizer 12.3.0 h0f45ef3_3
    - libsqlite 3.44.2 h2797004_0
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-devel_linux-64 12.3.0 h8bca6fd_103
    - libstdcxx-ng 13.2.0 h7e041cc_3
    - libuuid 2.38.1 h0b41bf4_0
    - libuv 1.46.0 hd590300_0
    - libzlib 1.2.13 hd590300_5
    - make 4.3 hd18ef5c_1
    - ncurses 6.4 h59595ed_2
    - openssl 3.2.0 hd590300_1
    - pkg-config 0.29.2 h36c2ea0_1008
    - python 3.12.0 hab00c5b_0_cpython
    - readline 8.2 h8228510_1
    - rhash 1.4.4 hd590300_0
    - sysroot_linux-64 2.12 he073ed8_16
    - tk 8.6.13 noxft_h4845f30_101
    - tzdata 2023c h71feb2d_0
    - xz 5.2.6 h166bdaf_0
    - zstd 1.5.5 hfc55251_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - icu 73.2 h59595ed_0
    - libgcc-ng 13.2.0 h807b86a_3
    - libgomp 13.2.0 h807b86a_3
    - libhwloc 2.9.3 default_h554bfaf_1009
    - libiconv 1.17 h166bdaf_0
    - libstdcxx-ng 13.2.0 h7e041cc_3
    - libxml2 2.11.6 h232c23b_0
    - libzlib 1.2.13 hd590300_5
    - xz 5.2.6 h166bdaf_0
  run:
    - libgcc-ng >=12
    - libhwloc >=2.9.3,<2.9.4.0a0
    - libstdcxx-ng >=12
about:
  dev_url: https://github.com/oneapi-src/oneTBB
  doc_url: https://software.intel.com/en-us/oneapi-tbb-documentation
  home: https://github.com/oneapi-src/oneTBB
  license: Apache-2.0
  license_file:
    - LICENSE.txt
    - third-party-programs.txt
  summary: TBB Libraries
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: azure_20231208.1.1
  recipe-maintainers:
    - AlexVeprev
    - anton-malakhov
    - ilya-lavrenov
    - isaevil
    - jschueller
  remote_url: https://github.com/conda-forge/tbb-feedstock
  sha: 6b016fbf3e34ec0f42e7b846ff4452688883c5ae
